%global srcname pytest-mpl

Name:           python-%{srcname}
Version:        0.13
Release:    1%{?dist}
Summary:        Pytest plugin for testing figure output from Matplotlib

License:        BSD
URL:            https://github.com/matplotlib/pytest-mpl
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0001:      0001-Increase-tolerance-for-new-FreeType.patch

BuildArch:      noarch

%global _description \
This is a plugin to facilitate image comparison for Matplotlib figures in \
pytest. Matplotlib includes a number of test utilities and decorators, but \
these are geared towards the nose testing framework. Pytest-mpl makes it easy \
to compare figures produced by tests to reference images when using pytest.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pillow)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version} -p1

rm -rf %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%check
MPLBACKEND=Agg %{pytest} --mpl tests -k 'not test_succeeds_remote and not test_succeeds_faulty_mirror'
MPLBACKEND=Agg %{pytest} tests -k 'not test_succeeds_remote and not test_succeeds_faulty_mirror'


%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_mpl/
%{python3_sitelib}/pytest_mpl-%{version}-py%{python3_version}.egg-info/


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13-1
- initial build
